#ifndef _RAMFS_H_
#define _RAMFS_H_

void ram_store(uchar *dest);
void ram_restore(uchar *src);
int ram_stat(const char *name, struct pogo_stat *buffer);
int ram_open(const char *name, int mode);
int ram_write(int fd, const void *src, int size);
int ram_read(int fd, void *dest, int size);
int ram_lseek(int fd, int offset, int orgin);
int ram_close(int fd);
int ram_remove(const char *name);
void ram_setarea(unsigned char *ptr, int size);
void ram_init(void);


#endif /*_RAMFS_H_*/
