#include "glk.h"
#include "miscfort.h"
#include "commons.h"

strid_t datafile = 0;
glsi32 datafile_strings = 0;
glsi32 datafile_strindex[DATAFILE_LEN2] LARGE_SECTION;

struct prsvec_1_ prsvec_1 LARGE_SECTION;
struct prssta_1_ prssta_1 LARGE_SECTION;
struct play_1_ play_1 LARGE_SECTION;
struct rmsg_1_ rmsg_1 LARGE_SECTION;
struct input_1_ input_1 LARGE_SECTION;
struct rooms_1_ rooms_1 LARGE_SECTION;
struct exits_1_ exits_1 LARGE_SECTION;
struct objcts_1_ objcts_1 LARGE_SECTION;
struct oroom2_1_ oroom2_1 LARGE_SECTION;
struct cevent_1_ cevent_1 LARGE_SECTION;
struct hack_1_ hack_1 LARGE_SECTION;
struct vill_1_ vill_1 LARGE_SECTION;
struct advs_1_ advs_1 LARGE_SECTION;
struct findex_1_ findex_1 LARGE_SECTION;

/* Table of constant values */

logical c_false = FALSE_;
logical c_true = TRUE_;

const integer c__0 = 0;
const integer c__1 = 1;
const integer c__2 = 2;
const integer c__3 = 3;
const integer c__4 = 4;
const integer c__5 = 5;
const integer c__6 = 6;
const integer c__7 = 7;
const integer c__8 = 8;
const integer c__9 = 9;
const integer c__10 = 10;
const integer c__11 = 11;
const integer c__12 = 12;
const integer c__14 = 14;
const integer c__15 = 15;
const integer c__16 = 16;
const integer c__18 = 18;
const integer c__19 = 19;
const integer c__20 = 20;
const integer c__21 = 21;
const integer c__22 = 22;
const integer c__23 = 23;
const integer c__24 = 24;
const integer c__25 = 25;
const integer c__27 = 27;
const integer c__30 = 30;
const integer c__31 = 31;
const integer c__33 = 33;
const integer c__34 = 34;
const integer c__35 = 35;
const integer c__36 = 36;
const integer c__38 = 38;
const integer c__39 = 39;
const integer c__40 = 40;
const integer c__42 = 42;
const integer c__43 = 43;
const integer c__44 = 44;
const integer c__45 = 45;
const integer c__46 = 46;
const integer c__47 = 47;
const integer c__48 = 48;
const integer c__49 = 49;
const integer c__50 = 50;
const integer c__51 = 51;
const integer c__52 = 52;
const integer c__53 = 53;
const integer c__54 = 54;
const integer c__55 = 55;
const integer c__56 = 56;
const integer c__57 = 57;
const integer c__58 = 58;
const integer c__59 = 59;
const integer c__60 = 60;
const integer c__61 = 61;
const integer c__62 = 62;
const integer c__63 = 63;
const integer c__64 = 64;
const integer c__65 = 65;
const integer c__66 = 66;
const integer c__67 = 67;
const integer c__69 = 69;
const integer c__70 = 70;
const integer c__71 = 71;
const integer c__75 = 75;
const integer c__76 = 76;
const integer c__79 = 79;
const integer c__80 = 80;
const integer c__81 = 81;
const integer c__82 = 82;
const integer c__84 = 84;
const integer c__85 = 85;
const integer c__87 = 87;
const integer c__88 = 88;
const integer c__89 = 89;
const integer c__90 = 90;
const integer c__93 = 93;
const integer c__94 = 94;
const integer c__96 = 96;
const integer c__98 = 98;
const integer c__99 = 99;
const integer c__100 = 100;
const integer c__103 = 103;
const integer c__104 = 104;
const integer c__107 = 107;
const integer c__108 = 108;
const integer c__109 = 109;
const integer c__110 = 110;
const integer c__111 = 111;
const integer c__112 = 112;
const integer c__113 = 113;
const integer c__115 = 115;
const integer c__118 = 118;
const integer c__119 = 119;
const integer c__121 = 121;
const integer c__122 = 122;
const integer c__123 = 123;
const integer c__124 = 124;
const integer c__126 = 126;
const integer c__128 = 128;
const integer c__129 = 129;
const integer c__130 = 130;
const integer c__131 = 131;
const integer c__132 = 132;
const integer c__133 = 133;
const integer c__134 = 134;
const integer c__135 = 135;
const integer c__136 = 136;
const integer c__137 = 137;
const integer c__138 = 138;
const integer c__139 = 139;
const integer c__140 = 140;
const integer c__141 = 141;
const integer c__142 = 142;
const integer c__143 = 143;
const integer c__144 = 144;
const integer c__145 = 145;
const integer c__148 = 148;
const integer c__149 = 149;
const integer c__150 = 150;
const integer c__151 = 151;
const integer c__152 = 152;
const integer c__153 = 153;
const integer c__154 = 154;
const integer c__155 = 155;
const integer c__156 = 156;
const integer c__158 = 158;
const integer c__159 = 159;
const integer c__160 = 160;
const integer c__161 = 161;
const integer c__162 = 162;
const integer c__163 = 163;
const integer c__164 = 164;
const integer c__165 = 165;
const integer c__166 = 166;
const integer c__169 = 169;
const integer c__170 = 170;
const integer c__171 = 171;
const integer c__172 = 172;
const integer c__173 = 173;
const integer c__175 = 175;
const integer c__176 = 176;
const integer c__177 = 177;
const integer c__178 = 178;
const integer c__179 = 179;
const integer c__180 = 180;
const integer c__181 = 181;
const integer c__182 = 182;
const integer c__183 = 183;
const integer c__184 = 184;
const integer c__185 = 185;
const integer c__186 = 186;
const integer c__187 = 187;
const integer c__188 = 188;
const integer c__189 = 189;
const integer c__190 = 190;
const integer c__191 = 191;
const integer c__195 = 195;
const integer c__197 = 197;
const integer c__200 = 200;
const integer c__201 = 201;
const integer c__202 = 202;
const integer c__203 = 203;
const integer c__204 = 204;
const integer c__205 = 205;
const integer c__207 = 207;
const integer c__208 = 208;
const integer c__209 = 209;
const integer c__210 = 210;
const integer c__211 = 211;
const integer c__212 = 212;
const integer c__213 = 213;
const integer c__214 = 214;
const integer c__217 = 217;
const integer c__218 = 218;
const integer c__219 = 219;
const integer c__220 = 220;
const integer c__226 = 226;
const integer c__227 = 227;
const integer c__228 = 228;
const integer c__229 = 229;
const integer c__232 = 232;
const integer c__233 = 233;
const integer c__234 = 234;
const integer c__235 = 235;
const integer c__236 = 236;
const integer c__238 = 238;
const integer c__239 = 239;
const integer c__240 = 240;
const integer c__241 = 241;
const integer c__242 = 242;
const integer c__243 = 243;
const integer c__244 = 244;
const integer c__247 = 247;
const integer c__248 = 248;
const integer c__249 = 249;
const integer c__250 = 250;
const integer c__256 = 256;
const integer c__257 = 257;
const integer c__258 = 258;
const integer c__259 = 259;
const integer c__260 = 260;
const integer c__261 = 261;
const integer c__262 = 262;
const integer c__263 = 263;
const integer c__264 = 264;
const integer c__265 = 265;
const integer c__269 = 269;
const integer c__270 = 270;
const integer c__272 = 272;
const integer c__273 = 273;
const integer c__279 = 279;
const integer c__280 = 280;
const integer c__282 = 282;
const integer c__283 = 283;
const integer c__284 = 284;
const integer c__285 = 285;
const integer c__286 = 286;
const integer c__287 = 287;
const integer c__288 = 288;
const integer c__289 = 289;
const integer c__290 = 290;
const integer c__291 = 291;
const integer c__292 = 292;
const integer c__293 = 293;
const integer c__294 = 294;
const integer c__295 = 295;
const integer c__296 = 296;
const integer c__297 = 297;
const integer c__298 = 298;
const integer c__299 = 299;
const integer c__300 = 300;
const integer c__301 = 301;
const integer c__302 = 302;
const integer c__310 = 310;
const integer c__326 = 326;
const integer c__327 = 327;
const integer c__328 = 328;
const integer c__334 = 334;
const integer c__335 = 335;
const integer c__336 = 336;
const integer c__337 = 337;
const integer c__338 = 338;
const integer c__339 = 339;
const integer c__340 = 340;
const integer c__341 = 341;
const integer c__343 = 343;
const integer c__344 = 344;
const integer c__345 = 345;
const integer c__350 = 350;
const integer c__356 = 356;
const integer c__357 = 357;
const integer c__358 = 358;
const integer c__361 = 361;
const integer c__362 = 362;
const integer c__363 = 363;
const integer c__364 = 364;
const integer c__365 = 365;
const integer c__366 = 366;
const integer c__367 = 367;
const integer c__368 = 368;
const integer c__369 = 369;
const integer c__370 = 370;
const integer c__371 = 371;
const integer c__378 = 378;
const integer c__379 = 379;
const integer c__380 = 380;
const integer c__381 = 381;
const integer c__382 = 382;
const integer c__385 = 385;
const integer c__386 = 386;
const integer c__387 = 387;
const integer c__390 = 390;
const integer c__391 = 391;
const integer c__396 = 396;
const integer c__397 = 397;
const integer c__398 = 398;
const integer c__400 = 400;
const integer c__401 = 401;
const integer c__402 = 402;
const integer c__403 = 403;
const integer c__404 = 404;
const integer c__405 = 405;
const integer c__406 = 406;
const integer c__407 = 407;
const integer c__408 = 408;
const integer c__409 = 409;
const integer c__410 = 410;
const integer c__411 = 411;
const integer c__412 = 412;
const integer c__413 = 413;
const integer c__414 = 414;
const integer c__419 = 419;
const integer c__420 = 420;
const integer c__421 = 421;
const integer c__422 = 422;
const integer c__423 = 423;
const integer c__424 = 424;
const integer c__425 = 425;
const integer c__426 = 426;
const integer c__427 = 427;
const integer c__428 = 428;
const integer c__429 = 429;
const integer c__430 = 430;
const integer c__431 = 431;
const integer c__432 = 432;
const integer c__437 = 437;
const integer c__438 = 438;
const integer c__439 = 439;
const integer c__442 = 442;
const integer c__443 = 443;
const integer c__445 = 445;
const integer c__447 = 447;
const integer c__448 = 448;
const integer c__452 = 452;
const integer c__453 = 453;
const integer c__454 = 454;
const integer c__455 = 455;
const integer c__456 = 456;
const integer c__457 = 457;
const integer c__458 = 458;
const integer c__459 = 459;
const integer c__460 = 460;
const integer c__461 = 461;
const integer c__462 = 462;
const integer c__463 = 463;
const integer c__464 = 464;
const integer c__465 = 465;
const integer c__466 = 466;
const integer c__469 = 469;
const integer c__470 = 470;
const integer c__498 = 498;
const integer c__499 = 499;
const integer c__502 = 502;
const integer c__505 = 505;
const integer c__506 = 506;
const integer c__507 = 507;
const integer c__510 = 510;
const integer c__511 = 511;
const integer c__512 = 512;
const integer c__515 = 515;
const integer c__516 = 516;
const integer c__519 = 519;
const integer c__520 = 520;
const integer c__521 = 521;
const integer c__522 = 522;
const integer c__523 = 523;
const integer c__525 = 525;
const integer c__527 = 527;
const integer c__528 = 528;
const integer c__529 = 529;
const integer c__530 = 530;
const integer c__531 = 531;
const integer c__532 = 532;
const integer c__533 = 533;
const integer c__534 = 534;
const integer c__535 = 535;
const integer c__536 = 536;
const integer c__537 = 537;
const integer c__538 = 538;
const integer c__539 = 539;
const integer c__540 = 540;
const integer c__541 = 541;
const integer c__542 = 542;
const integer c__543 = 543;
const integer c__544 = 544;
const integer c__545 = 545;
const integer c__546 = 546;
const integer c__547 = 547;
const integer c__548 = 548;
const integer c__549 = 549;
const integer c__550 = 550;
const integer c__551 = 551;
const integer c__559 = 559;
const integer c__560 = 560;
const integer c__561 = 561;
const integer c__562 = 562;
const integer c__563 = 563;
const integer c__564 = 564;
const integer c__565 = 565;
const integer c__566 = 566;
const integer c__567 = 567;
const integer c__568 = 568;
const integer c__569 = 569;
const integer c__570 = 570;
const integer c__571 = 571;
const integer c__572 = 572;
const integer c__573 = 573;
const integer c__577 = 577;
const integer c__578 = 578;
const integer c__579 = 579;
const integer c__580 = 580;
const integer c__583 = 583;
const integer c__584 = 584;
const integer c__585 = 585;
const integer c__590 = 590;
const integer c__591 = 591;
const integer c__592 = 592;
const integer c__593 = 593;
const integer c__594 = 594;
const integer c__595 = 595;
const integer c__596 = 596;
const integer c__597 = 597;
const integer c__598 = 598;
const integer c__599 = 599;
const integer c__600 = 600;
const integer c__601 = 601;
const integer c__603 = 603;
const integer c__604 = 604;
const integer c__605 = 605;
const integer c__606 = 606;
const integer c__612 = 612;
const integer c__613 = 613;
const integer c__614 = 614;
const integer c__615 = 615;
const integer c__616 = 616;
const integer c__617 = 617;
const integer c__618 = 618;
const integer c__619 = 619;
const integer c__620 = 620;
const integer c__621 = 621;
const integer c__622 = 622;
const integer c__623 = 623;
const integer c__625 = 625;
const integer c__626 = 626;
const integer c__627 = 627;
const integer c__628 = 628;
const integer c__629 = 629;
const integer c__630 = 630;
const integer c__631 = 631;
const integer c__632 = 632;
const integer c__633 = 633;
const integer c__634 = 634;
const integer c__635 = 635;
const integer c__636 = 636;
const integer c__637 = 637;
const integer c__638 = 638;
const integer c__639 = 639;
const integer c__640 = 640;
const integer c__641 = 641;
const integer c__642 = 642;
const integer c__643 = 643;
const integer c__644 = 644;
const integer c__645 = 645;
const integer c__646 = 646;
const integer c__647 = 647;
const integer c__648 = 648;
const integer c__649 = 649;
const integer c__650 = 650;
const integer c__651 = 651;
const integer c__658 = 658;
const integer c__659 = 659;
const integer c__660 = 660;
const integer c__662 = 662;
const integer c__663 = 663;
const integer c__664 = 664;
const integer c__666 = 666;
const integer c__667 = 667;
const integer c__668 = 668;
const integer c__672 = 672;
const integer c__673 = 673;
const integer c__674 = 674;
const integer c__675 = 675;
const integer c__676 = 676;
const integer c__681 = 681;
const integer c__682 = 682;
const integer c__683 = 683;
const integer c__684 = 684;
const integer c__685 = 685;
const integer c__686 = 686;
const integer c__687 = 687;
const integer c__688 = 688;
const integer c__694 = 694;
const integer c__705 = 705;
const integer c__706 = 706;
const integer c__707 = 707;
const integer c__708 = 708;
const integer c__709 = 709;
const integer c__710 = 710;
const integer c__711 = 711;
const integer c__712 = 712;
const integer c__723 = 723;
const integer c__724 = 724;
const integer c__725 = 725;
const integer c__726 = 726;
const integer c__727 = 727;
const integer c__728 = 728;
const integer c__729 = 729;
const integer c__730 = 730;
const integer c__733 = 733;
const integer c__734 = 734;
const integer c__735 = 735;
const integer c__736 = 736;
const integer c__737 = 737;
const integer c__738 = 738;
const integer c__741 = 741;
const integer c__742 = 742;
const integer c__743 = 743;
const integer c__744 = 744;
const integer c__745 = 745;
const integer c__746 = 746;
const integer c__747 = 747;
const integer c__748 = 748;
const integer c__751 = 751;
const integer c__752 = 752;
const integer c__753 = 753;
const integer c__756 = 756;
const integer c__757 = 757;
const integer c__758 = 758;
const integer c__759 = 759;
const integer c__760 = 760;
const integer c__763 = 763;
const integer c__764 = 764;
const integer c__765 = 765;
const integer c__766 = 766;
const integer c__767 = 767;
const integer c__768 = 768;
const integer c__769 = 769;
const integer c__778 = 778;
const integer c__779 = 779;
const integer c__780 = 780;
const integer c__781 = 781;
const integer c__782 = 782;
const integer c__783 = 783;
const integer c__786 = 786;
const integer c__792 = 792;
const integer c__797 = 797;
const integer c__798 = 798;
const integer c__799 = 799;
const integer c__800 = 800;
const integer c__806 = 806;
const integer c__807 = 807;
const integer c__808 = 808;
const integer c__809 = 809;
const integer c__810 = 810;
const integer c__811 = 811;
const integer c__818 = 818;
const integer c__825 = 825;
const integer c__826 = 826;
const integer c__827 = 827;
const integer c__828 = 828;
const integer c__829 = 829;
const integer c__832 = 832;
const integer c__838 = 838;
const integer c__843 = 843;
const integer c__846 = 846;
const integer c__847 = 847;
const integer c__848 = 848;
const integer c__851 = 851;
const integer c__855 = 855;
const integer c__856 = 856;
const integer c__857 = 857;
const integer c__858 = 858;
const integer c__859 = 859;
const integer c__860 = 860;
const integer c__863 = 863;
const integer c__864 = 864;
const integer c__865 = 865;
const integer c__866 = 866;
const integer c__867 = 867;
const integer c__868 = 868;
const integer c__869 = 869;
const integer c__870 = 870;
const integer c__871 = 871;
const integer c__874 = 874;
const integer c__875 = 875;
const integer c__876 = 876;
const integer c__877 = 877;
const integer c__880 = 880;
const integer c__882 = 882;
const integer c__885 = 885;
const integer c__886 = 886;
const integer c__889 = 889;
const integer c__891 = 891;
const integer c__894 = 894;
const integer c__895 = 895;
const integer c__896 = 896;
const integer c__897 = 897;
const integer c__898 = 898;
const integer c__899 = 899;
const integer c__900 = 900;
const integer c__903 = 903;
const integer c__904 = 904;
const integer c__905 = 905;
const integer c__906 = 906;
const integer c__907 = 907;
const integer c__908 = 908;
const integer c__909 = 909;
const integer c__910 = 910;
const integer c__911 = 911;
const integer c__913 = 913;
const integer c__914 = 914;
const integer c__915 = 915;
const integer c__923 = 923;
const integer c__924 = 924;
const integer c__925 = 925;
const integer c__926 = 926;
const integer c__927 = 927;
const integer c__928 = 928;
const integer c__929 = 929;
const integer c__930 = 930;
const integer c__931 = 931;
const integer c__933 = 933;
const integer c__934 = 934;
const integer c__935 = 935;
const integer c__936 = 936;
const integer c__937 = 937;
const integer c__938 = 938;
const integer c__939 = 939;
const integer c__942 = 942;
const integer c__943 = 943;
const integer c__944 = 944;
const integer c__945 = 945;
const integer c__946 = 946;
const integer c__947 = 947;
const integer c__948 = 948;
const integer c__949 = 949;
const integer c__950 = 950;
const integer c__951 = 951;
const integer c__952 = 952;
const integer c__953 = 953;
const integer c__954 = 954;
const integer c__955 = 955;
const integer c__956 = 956;
const integer c__959 = 959;
const integer c__960 = 960;
const integer c__961 = 961;
const integer c__962 = 962;
const integer c__963 = 963;
const integer c__967 = 967;
const integer c__968 = 968;
const integer c__969 = 969;
const integer c__970 = 970;
const integer c__971 = 971;
const integer c__972 = 972;
const integer c__973 = 973;
const integer c__974 = 974;
const integer c__976 = 976;
const integer c__977 = 977;
const integer c__978 = 978;
const integer c__979 = 979;
const integer c__980 = 980;
const integer c__981 = 981;
const integer c__983 = 983;
const integer c__984 = 984;
const integer c__985 = 985;
const integer c__986 = 986;
const integer c__987 = 987;
const integer c__990 = 990;
const integer c__991 = 991;
const integer c__992 = 992;
const integer c__993 = 993;
const integer c__994 = 994;
const integer c__995 = 995;
const integer c__996 = 996;
const integer c__999 = 999;
const integer c__1000 = 1000;
const integer c__1001 = 1001;
const integer c__1002 = 1002;
const integer c__1003 = 1003;
const integer c__1004 = 1004;
const integer c__1005 = 1005;
const integer c__1006 = 1006;
const integer c__1007 = 1007;
const integer c__1008 = 1008;
const integer c__1009 = 1009;
const integer c__1010 = 1010;
const integer c__1011 = 1011;
const integer c__1012 = 1012;
const integer c__1013 = 1013;
const integer c__1014 = 1014;
const integer c__1015 = 1015;
const integer c__1016 = 1016;
const integer c__1017 = 1017;
const integer c__1020 = 1020;
const integer c__1021 = 1021;
const integer c__1022 = 1022;
const integer c__1023 = 1023;
const integer c__1024 = 1024;
const integer c__1025 = 1025;
const integer c__1026 = 1026;
const integer c__1028 = 1028;
const integer c__1029 = 1029;
const integer c__1034 = 1034;
const integer c__1036 = 1036;
const integer c__1038 = 1038;
const integer c__1039 = 1039;
const integer c__1040 = 1040;
const integer c__1042 = 1042;
const integer c__1043 = 1043;
const integer c__1044 = 1044;
const integer c__1046 = 1046;
const integer c__1047 = 1047;
const integer c__1048 = 1048;
const integer c__1049 = 1049;
const integer c__1050 = 1050;
const integer c__1051 = 1051;
const integer c__1052 = 1052;
const integer c__1053 = 1053;
const integer c__1054 = 1054;
const integer c__1056 = 1056;
const integer c__1057 = 1057;
const integer c__1063 = 1063;
const integer c__1064 = 1064;
const integer c__1065 = 1065;
const integer c__1066 = 1066;
const integer c__1067 = 1067;
const integer c__1070 = 1070;
const integer c__1071 = 1071;
const integer c__1075 = 1075;
const integer c__1076 = 1076;
const integer c__1077 = 1077;
const integer c__1081 = 1081;
const integer c__1500 = 1500;
const integer c__10240 = 10240;
const integer c_n1 = -1;
const integer c_n10 = -10;
const integer c_n61 = -61;
const integer c_n5555 = -5555;

