#ifndef UTIL_H
#define UTIL_H

#ifdef _WIN32

#include <io.h>

struct dirent
{
	char *d_name;
};

typedef struct
{
	struct dirent de;
	struct _finddata_t fd;
	int handle;
} DIR;

DIR *opendir(char *name);
struct dirent *readdir(DIR *dir);
void closedir(DIR *dir);

#endif

char *makeBaseName(char *name, char *dest);
char *NextWord(char *ptr);

extern char basedir[128];
char *BASEDIR(char *dir);

#endif
