#ifndef POGOPLATFORM_H
#define POGOPLATFORM_H

/*
#define PC 1
#define GBA 2
#define NDS 3
#define GP2X 4
#define PSP 5
#define GP32 6
#define DREAMCAST 7
#define PS2 8
#define N64 9
#define POCKETPC 10
#define XBOX 11
*/

#ifdef POGO_PLATFORM_GBA

#define DIRECT
#define FB8
#define colors ((uint16*)0x05000000)

#else

#undef DIRECT

#if (defined FB8)
#define BPP 8
#define DIRECT
#elif (defined FB16)
#define BPP 16
#elif (defined FB32)
#define BPP 32
#else
#define BPP 16
#endif

#endif


#undef POGO_SCRWIDTH
#undef POGO_SCRHEIGHT

#define POGO_SCRWIDTH g_screenStride
#define POGO_SCRHEIGHT g_screenVStride
#define POGO_SCRPTR g_screenPtr


#define MAX_COLOR 256


#if (defined POGO_PLATFORM_NDS) || (defined POGO_PLATFORM_PSP) || (defined POGO_PLATFORM_GBA)
#define UINT2PIXEL(x) (((x>>19)&0x1F) | (((x>>11)&0x1F)<<5) | (((x>>3)&0x1F)<<10) | 0x8000)

#else
#if (defined FB32)
#define UINT2PIXEL(x) (x)
#else
#define UINT2PIXEL(x) (((x>>19)&0x1F)<<11) | (((x>>10)&0x3F)<<5) | ((x>>3)&0x1F)
#endif
#endif

#ifdef POGO_PLATFORM_PSP
#define POGO_SCROFFSET 32
#else
#define POGO_SCROFFSET 0
#endif

#endif
