#ifndef POGOTYPES_H
#define POGOTYPES_H

#include "platform.h"

//#if !((defined NO_POGO_TYPES) && (defined NDS_JTYPES_INCLUDE))
#ifndef NDS_JTYPES_INCLUDE

typedef unsigned int uint32;
typedef int int32;
typedef unsigned short uint16;
typedef short int16;

typedef volatile unsigned int vuint32;
typedef volatile int vint32;
typedef volatile unsigned short vuint16;
typedef volatile short vint16;

#endif

typedef unsigned char uchar;
typedef volatile unsigned char vuchar;
typedef volatile char vchar;


#if (defined FB8)
  typedef uchar Pixel;
#elif (defined FB16)
  typedef uint16 Pixel;
#elif (defined FB32)
  typedef uint32 Pixel;
#else
  // Default
  typedef uint16 Pixel;
#endif



#endif
